# Gst::MessageAsyncStart Class Reference

An asynchronous start message. More...

Inherits Gst::Message.

Collaboration diagram for Gst::MessageAsyncStart:
[legend]

List of all members.

## Public Member Functions

| MessageAsyncStart (GstMessage* castitem)
bool | parse () const
| Extract and return the boolean new_base_time from the async_start message.

## Static Public Member Functions

static Glib::RefPtr< Gst::Message > | create (const Glib::RefPtr< Gst::Object >& src, bool new_base_time)
| Creates a new async message.

## Detailed Description

An asynchronous start message.

See create() for more details.

## Constructor & Destructor Documentation

Gst::MessageAsyncStart::MessageAsyncStart | ( | GstMessage * | castitem | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::Message> Gst::MessageAsyncStart::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | bool | new_base_time |
| ) |  |  | `[static]`

Creates a new async message.

This message is posted by elements when they start an ASYNC state change. new_base_time is set to true when the element lost its state when it was PLAYING.

Parameters:

  | src | The object originating the message.
  | new_base_time | If a new base_time should be set on the element.

Returns:
  The new async_start message. MT safe.

Since 0.10.13

bool Gst::MessageAsyncStart::parse | ( |  | ) | const

Extract and return the boolean new_base_time from the async_start message.

MT safe.

Returns:
  The new_base_time boolean.

Since 0.10.13.

The documentation for this class was generated from the following file:

- gstreamermm/message.h